import { jsx } from "react/jsx-runtime";
import { TokenDEXTF as TokenDEXTF$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDEXTF = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "DEXTF", "data-name": "TokenDEXTF", ...props, children: /* @__PURE__ */ jsx(TokenDEXTF$1, { variant }) });
  }
);
TokenDEXTF.displayName = "TokenDEXTF";
Object.assign(TokenDEXTF, { isGdsIcon: true });
export {
  TokenDEXTF
};
